function u = getSol(prob,mu,fem)

  switch nargin
    case 3
      fem.const(2:2:end) = ...
        arrayfun(@(x) x.fun(mu),prob.theta,'UniformOutput',false);
      u = femlin(fem,'Out','u');
    case 2
      [lhs,rhs] = assembleFromPre(prob.fem.pre,mu);
      u = zeros(prob.fem.dof.num,1);
      u(prob.fem.dof.ind) = lhs\rhs;
    otherwise
      error('Not enough input arguments');
  end